# Session::commit

(PHP 4 >= 4.4.0, PHP 5, PHP 7)

Session::commit — Commit transaction

### Description

public mysql_xdevapi\Session::commit ( void ) : Object

Commit the transaction.

### Parameters

This function has no parameters.

### Return Values

An SqlStatementResult object.

### Examples

Example #1 mysql_xdevapi\Session::commit() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$collection = $session->getSchema("addressbook")->getCollection("friends");
$session->startTransaction();
$collection->add('{"John":42, "Sam":33}')->execute();
$savepoint = $session->setSavepoint();
$session->commit();
$session->close();`